ISVNAddParameters (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.ISVNAddParameters interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Interface ISVNAddParameters

public interface ISVNAddParameters

The ISVNAddParameters is an interface for a callback which is invoked when there are inconsistent EOLs found in text files which are being scheduled for addition.

In other words, if a text file is scheduled for addition and an autoproperty `SVNProperty.EOL_STYLE` is set on a file that will cause an exception on files with inconsistent EOLs. In this case if the caller has provided his `ISVNAddParameters` its method `onInconsistentEOLs(File file)` will be called for that file. This method returns one of the three constants predefined in this interface. According to the return value the file may be added as-is, as binary or addition may be cancelled and an exception may be thrown indicating an error.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Nested Class Summary
`static class` | `ISVNAddParameters.Action` This class is simply used to define an action add operation should undertake in case of a inconsistent EOLs.

Field Summary
`static ISVNAddParameters.Action` | `ADD_AS_BINARY` Rules to add a file as binary.
`static ISVNAddParameters.Action` | `ADD_AS_IS` Rules to add a file ad is.
`static ISVNAddParameters.Action` | `REPORT_ERROR` Rules not to add file but to report an error, i.e. throw an exception

Method Summary
`ISVNAddParameters.Action` | `onInconsistentEOLs(File file)` Receives a file with inconsistent EOLs and returns an action which should be performed against this file.

Field Detail

### ADD_AS_BINARY

    public static final ISVNAddParameters.Action ADD_AS_BINARY

  Rules to add a file as binary.

### ADD_AS_IS

    public static final ISVNAddParameters.Action ADD_AS_IS

  Rules to add a file ad is.

### REPORT_ERROR

    public static final ISVNAddParameters.Action REPORT_ERROR

  Rules not to add file but to report an error, i.e. throw an exception

Method Detail

### onInconsistentEOLs

    public ISVNAddParameters.Action onInconsistentEOLs(File file)

  Receives a file with inconsistent EOLs and returns an action which should be performed against this file. It should be one of the three constant values predefined in this interface.

  Parameters:
    `file` - file path
  Returns:
    action to perform on the given file

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.